<?PHP
/*
=====================================================
 DataLife Engine v9.2 - by DLE Persian Group 
-----------------------------------------------------
 http://datalifeengine.ir/
-----------------------------------------------------
 Copyright (c) 2006,2011 DLE Persian Group
=====================================================
*/
if(!defined('DATALIFEENGINE'))
{
  die("Hacking attempt!");
}

// Show Calendar Function
function cal($jmonth, $jyear, $events){
global $config, $month, $year, $lang, $langdateshortweekdays, $PHP_SELF;

	$jmonth = intval ($jmonth);
	$jyear  = intval ($jyear);
	$pre_month   = $jmonth-1;
	$next_month   = $jmonth+1;	
	$pre_year   = $jyear-1;
    $next_year   = $jyear+1;
    $prev_of_month   = jmaketime(0, 0, 0, ($pre_month == 0 ? "12" : $pre_month), 1, ($pre_month == 0 ? $pre_year : $jyear));
    $next_of_month   = jmaketime(0, 0, 0, ($next_month == 13 ? "1" : $next_month), 1, ($next_month == 13 ? $next_year : $jyear));
    $prev_of_year = jmaketime(0, 0, 0, $jmonth, 1, $pre_year);
    $next_of_year = jmaketime(0, 0, 0, $jmonth, 1, $next_year);
	$first_of_month = jmaketime(0, 0, 0, $jmonth, 1, $jyear);
    $maxdays = jdate('t', $first_of_month); //29-31
    $cal_day = 1;
    $weekday = date('w', ($first_of_month+86400)); //0-6
	

if ($config['allow_alt_url'] == "yes") {
	$date_link['prev'] = '<a class="monthlink" onClick="doCalendar('.jdate("'m','Y'", $prev_of_month).'); return false;" href="'.$config['http_home_url'].($pre_month == 0 ? $jyear-1 : $jyear).'/'.($pre_month == 0 ? "12" : $pre_month).'/" title="'.$lang['prev_moth'].'">&laquo;</a>&nbsp;&nbsp;';
    $date_link['next'] = '&nbsp;&nbsp;<a class="monthlink" onClick="doCalendar('.jdate("'m','Y'", $next_of_month).'); return false;" href="'.$config['http_home_url'].($next_month == 13 ? $jyear+1 : $jyear).'/'.($next_month == 13 ? "1" : $next_month).'/" title="'.$lang['next_moth'].'">&raquo;</a>';
    $date_link['prev_y'] = '<a class="monthlink" onClick="doCalendar('.jdate("'m','Y'", $prev_of_year).'); return false;" href="'.$config['http_home_url'].$pre_year.'/'.$jmonth.'/" title="'.$lang['prev_year'].'">&lt;</a>&nbsp;&nbsp;&nbsp;&nbsp;';
    $date_link['next_y'] = '&nbsp;&nbsp;&nbsp;&nbsp;<a class="monthlink" onClick="doCalendar('.jdate("'m','Y'", $next_of_year).'); return false;" href="'.$config['http_home_url'].$next_year.'/'.$jmonth.'/" title="'.$lang['next_year'].'">&gt;</a>';
}
else {
	$date_link['prev'] = '<a class="monthlink" onClick="doCalendar('.jdate("'m','Y'", $prev_of_month).'); return false;" href="'.$PHP_SELF.'?year='.($pre_month == 0 ? $jyear-1 : $jyear).'&month='.($pre_month == 0 ? "12" : $pre_month).'" title="'.$lang['prev_moth'].'">&laquo;</a>&nbsp;&nbsp;';
    $date_link['next'] = '&nbsp;&nbsp;<a class="monthlink" onClick="doCalendar('.jdate("'m','Y'", $next_of_month).'); return false;" href="'.$PHP_SELF.'?year='.($next_month == 13 ? $jyear+1 : $jyear).'&month='.($next_month == 13 ? "1" : $next_month).'" title="'.$lang['next_moth'].'">&raquo;</a>';
    $date_link['prev_y'] = '<a class="monthlink" onClick="doCalendar('.jdate("'m','Y'", $prev_of_year).'); return false;" href="'.$PHP_SELF.'?year='.$pre_year.'&month='.$jmonth.'" title="'.$lang['prev_year'].'">&lt;</a>&nbsp;&nbsp;&nbsp;&nbsp;';
    $date_link['next_y'] = '&nbsp;&nbsp;&nbsp;&nbsp;<a class="monthlink" onClick="doCalendar('.jdate("'m','Y'", $next_of_year).'); return false;" href="'.$PHP_SELF.'?year='.$next_year.'&month='.$jmonth.'" title="'.$lang['next_year'].'">&gt;</a>';
}

$buffer  = '<div id="calendar-layer"><table id="calendar" cellpadding="3" class="calendar" width="100%"><caption><strong>'.$date_link['prev_y'].$date_link['prev'].monthname($jmonth).' '.$jyear.$date_link['next'].$date_link['next_y'].'</strong></caption><thead><tr align="center">';
    
    for ($it=0; $it<=5; $it++)
			$buffer .= '<th>'.$langdateshortweekdays[$it].'</th>';
			$buffer .= '<th class="weekday">'.$langdateshortweekdays[6].'</th></tr></thead>';
			
	$buffer .= ($weekday > 0 && $weekday <= 6) ? '<tr align="center"><td colspan="'.$weekday.'">&nbsp;</td>' : '<tr align="center">';
	
	list( $todayjyear, $todayjmonth, $todayjday ) = gregorian_to_jalali(date("Y"), date("m"), date("d"));
   $days = 1;

    while($maxdays >= $cal_day) {
        if ($weekday == 7) {
            $buffer .= '</tr><tr align="center">';
            $weekday = 0;
        }
        
        if ($days < 10) $days = "0".$days;

        if (isset($events[$days])){

            $date['title'] = langdate('d F Y', $events[$days]);            

            if ($weekday == '6'){

	    $go_page = ($config['ajax']) ? "onclick=\"DlePage('year=".jdate("Y", $events[$days])."&month=".jdate("m", $events[$days])."&day=".jdate("d", $events[$days])."'); return false;\" " : "";
		$class = $todayjday == $days && ($jmonth == $todayjmonth) && ($jyear == $todayjyear) ? 'emrooz' : 'day-active';
		
		if ($config['allow_alt_url'] == "yes")
			$buffer .= '<td class="'.$class.'"><a class="day-active" '.$go_page.'href="'.$config['http_home_url'].''.jdate("Y/m/d", $events[$days]).'/" title="'.$lang['cal_post'].' '.$date['title'].'">'.$cal_day.'</a></td>';
		else
			$buffer .= '<td class="'.$class.'"><a class="day-active" '.$go_page.'href="'.$PHP_SELF.'?year='.jdate("Y", $events[$days]).'&month='.jdate("m", $events[$days]).'&day='.jdate("d", $events[$days]).'" title="'.$lang['cal_post'].' '.$date['title'].'">'.$cal_day.'</a></td>';

            }

            else {


		$go_page = ($config['ajax']) ? "onclick=\"DlePage('year=".jdate("Y", $events[$days])."&month=".jdate("m", $events[$days])."&day=".jdate("d", $events[$days])."'); return false;\" " : "";
		$class = $todayjday == $days && ($jmonth == $todayjmonth) && ($jyear == $todayjyear) ? 'emrooz' : 'day-active-v';
		
		if ($config['allow_alt_url'] == "yes")
			$buffer .= '<td class="'.$class.'"><a class="day-active-v" '.$go_page.'href="'.$config['http_home_url'].''.jdate("Y/m/d", $events[$days]).'/" title="'.$lang['cal_post'].' '.$date[title].'">'.$cal_day.'</a></td>';
		else
			$buffer .= '<td class="'.$class.'"><a class="day-active-v" '.$go_page.'href="'.$PHP_SELF.'?year='.jdate("Y", $events[$days]).'&month='.jdate("m", $events[$days]).'&day='.jdate("d", $events[$days]).'" title="'.$lang['cal_post'].' '.$date[title].'">'.$cal_day.'</a></td>';

            }
        }

        else {
        	if ($todayjday == $days && ($jmonth == $todayjmonth) && ($jyear == $todayjyear)) 
        	$buffer .= '<td class="emrooz"><font color="#0000ff">'.$cal_day.'</font></td>';
          elseif ($weekday == "6") $buffer .= '<td class="weekday">'.$cal_day.'</td>';
          else $buffer .= '<td class="day">'.$cal_day.'</td>';
        }

        $cal_day++;
        $weekday++;
        $days++;
    }

    if ($weekday != 7){$buffer .= '<td colspan="'.(7-$weekday).'">&nbsp;</td>';}

    return $buffer . '</tr></table></div>';
}

if ($config['allow_calendar'] == "yes") {

	$events = array();

    $thisdate   = date ("Y-m-d H:i:s", $_TIME);
    $this_month = jdate("m", $_TIME);
    $this_year = jdate("Y" , $_TIME);    
    $this_startm = date("Y-m-d H:i:s", jmaketime(0, 0, 0, $this_month, 1, $this_year));
    $this_endm = date("Y-m-d H:i:s", jmaketime(0, 0, 0, ($this_month+1), 1, $this_year));
    $startm = date("Y-m-d H:i:s", jmaketime(0, 0, 0, $month, 1, $year));
    $endm = date("Y-m-d H:i:s", jmaketime(0, 0, 0, ($month+1), 1, $year));
    
    if ($year != '' and $month != ''){		

		if (($year == $this_year AND $month > $this_month) OR ($year > $this_year)) {

		  $sql = "";

		} else {

          $sql = "SELECT date FROM " . PREFIX . "_post WHERE date BETWEEN '$startm' AND '$endm' AND approve = '1'";

		}

        $this_month = $month; 
        $this_year  = $year;

    } else{

		$sql = "SELECT date FROM " . PREFIX . "_post WHERE date BETWEEN '$this_startm' AND '$this_endm' AND approve = '1'";

	}

	if ($sql != "" ) {

		$db->query($sql);

		while($row = $db->get_row())
	    {
           $datetime = strtotime($row['date']);
           $tday = jdate("d", $datetime);
           $tmonth = jdate("m", $datetime);
           $tyear = jdate("Y", $datetime);
			$events[$tday] = jmaketime(0,0,0,$tmonth,$tday,$tyear);
		}

		$db->free();
	}

    $tpl->result['calendar'] = cal($this_month, $this_year, $events, $days);
	create_cache ("calendar", $tpl->result['calendar'], $cache_id);
  }
  

//============ Shamsi Archive ============
$tpl->result['date-today'] .= langdate("l, j F Y - H:i", time()+($config['date_adjust']*60) );
if ($config['allow_archives'] == "yes") {

$tpl->result['archive'] = dle_cache("archives", $config['skin']);

  if (!$tpl->result['archive']) {
  	
  
  	$db->query("SELECT MIN(date), date FROM " . PREFIX . "_post GROUP BY date");
  	$row = $db->get_row();
  	$firstposty = jdate("Y", strtotime($row['date']));
  	$firstpostm = jdate("m", strtotime($row['date']));
  	
  	$jal_month = jdate("m", $_TIME)+1;
  	$jal_year = jdate("Y", $_TIME);
  	if ($jal_month > 12) {
					$jal_month = 1;
					$jal_year++;
			}  
  	  	
  	while(jmaketime(0,0,0,$jal_month,1,$jal_year) >= jmaketime(0,0,0,$firstpostm,1,$firstposty)){
  		$jal_nextmonth = $jal_month-1;
		$jal_nextyear = $jal_year;
		if ($jal_nextmonth < 1) {
					$jal_nextmonth = 12;
					$jal_nextyear--;
			}
				
		$thisdate = jmaketime(0,0,0,$jal_nextmonth,1,$jal_nextyear);
		$endm = date("Y-m-d H:i:s", jmaketime(0,0,0,$jal_month,1,$jal_year));
       $startm = date("Y-m-d H:i:s", $thisdate);
       
       $db->query("SELECT id FROM " . PREFIX . "_post WHERE approve = '1' AND date >= '$startm' AND date < '$endm'");
		$count = $db->num_rows();
		
  		if ($count > 0) {
  			$arch_month=jdate("M", $thisdate);
			$arch_year=jdate("Y", $thisdate);
			$arch_month_url=jdate("m", $thisdate);

			$go_page = ($config['ajax']) ? "onclick=\"DlePage('year={$arch_year}&month={$arch_month_url}'); return false;\" " : "";
			if ($config['allow_alt_url'] == "yes")
			$tpl->result['archive'] .= '<a '.$go_page.'href="'.$config['http_home_url'].$arch_year. '/' .$arch_month_url.'/">&raquo; '.$arch_month.'&nbsp;'.$arch_year.'&nbsp;('.$count.')</a><br />';
			else
			$tpl->result['archive'] .= "<a ".$go_page."href=\"$PHP_SELF?year=$arch_year&month=$arch_month_url\">&raquo; ".$arch_month.'&nbsp;'.$arch_year."&nbsp;(".$count.")</a><br />";
  		}
  		
  		$jal_month = $jal_nextmonth;
		$jal_year = $jal_nextyear;	
  		
  	}
  	
	$db->free();
	
	create_cache ("archives", $tpl->result['archive'], $config['skin']);
    }

}


?>